<?php
/**
 *
 * Author: Steve Bourgeois <owl@bozzit.com>
 *
 * Owl Ultra Lite
 *
 * Copyright (c) 2005-2006 Bozz IT Consulting Inc
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/licenses/licenses.html#TOCGPL
 *
 */


require_once(dirname(__FILE__) . "/config/owl.php");
require_once($default->root_fs . "/lib/owlulite.lib.php");
require_once($default->root_fs ."/scripts/phpmailer/class.phpmailer.php");


import_request_variables('pgc');

global $owl_lang;

if(isset($btn_browse))
{
      header("Location: $default->root_url" . "/index.php");
      exit;
}

if (!isset($folder) || $folder == "" or $folder == "/" or $folder == "." or $folder == "..")
{
      $default->root_folder = $default->root_folder . "/" . $sRootFolderName;
      $sRecyclePath = $sRootFolderName;
      $folder = $sRootFolderName;
}
else
{
      $folder = ereg_replace("\.\.","",$folder);
      $default->root_folder .= "/" . $folder;
      $sRecyclePath = $folder;
} 

if ($default->permit_file_email == 0)
{
   header("Location: index.php");
   exit;
}

if (isset($btn_send_mail))
{

   $fspath = $default->root_folder  . "/" . $email_file;

   $mail = new phpmailer();
   $mail->Host = $default->owl_email_server; // specify main and backup server
   $mail->From = $mailfrom;
   $mail->FromName =  $default->owl_email_fromname;
   $mail->AddAddress($mailto);
   $mail->WordWrap = 50; // set word wrap to 50 characters
   $mail->IsHTML(true); // set email format to HTML
   $mail->Subject = $subject;
   $mail->Body =  $mailbody;
   if(file_exists($fspath))
   {
      $mail->AddAttachment($fspath, "" , "base64" , "application/octet-stream");
   }
      

   if (!$mail->Send())
   {
      $mail->ErrorInfo;
      exit;
   }

   header("Location: index.php?folder=$folder&sMessage=Mail Sent");
   exit;

}
include("lib/header.inc");
include("lib/userheader.inc");


if (!file_exists($default->root_folder))
{
   exit("$owl_lang->err_root_does_not_exists $default->root_folder");
}

print("<form name=\"emailfile\" enctype=\"multipart/form-data\" action=\"" . $_SERVER["PHP_SELF"] ."\" method=\"post\">\n");
print("<input type=\"hidden\" name=\"folder\" value=\"$folder\"></input>\n");
print("<input type=\"hidden\" name=\"email_file\" value=\"" . htmlentities($email_file) ."\"></input>\n");

print("<table class=\"border1\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"90%\"><tr><td align=\"left\" valign=\"top\" width=\"100%\">\n");
print("<br />\n");
print("<table class=\"border2\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"><tr><td align=\"left\" valign=\"top\" width=\"100%\">\n");
                                                                                                                                                                                                 
print("<br />\n");

print("<table class=\"margin2\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"><tr><td align=\"left\" valign=\"top\">\n");
print("<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">");
if(!empty($sMessage))
{
   print("<tr><td class=\"admin3\" width=\"100%\" colspan=\"10\">$sMessage</td></tr>\n");
}
print("<tr><td class=\"admin1\" width=\"100%\" colspan=\"10\"><a href=\"http://owl.sourceforge.net\"><img src=\"$default->root_url/graphics/owl_lite.jpg\" alt=\"Owl Utra-Lite Version $default->version\" title=\"Owl Utra-Lite Version $default->version\" border=\"0\"></img></td></tr>\n");
print("<tr><td width=\"100%\" colspan=\"10\">&nbsp;</td></tr>\n");
print("<tr><td class=\"admin0\" width=\"100%\" colspan=\"10\">EMAIL: " . htmlentities($email_file) . "</td></tr>\n");

// 
// Show the Directories in the
// Recycle Bin
// 

$iCountLines = 0;

if ($Dir = opendir($default->root_folder))
{
   print("<tr><td class=\"dir1\" colspan=\"10\" height=\"20\" align=\"left\" wrap=\"nowrap\">$owl_lang->current_folder ");
   $aBreadCrumb = array();
   $aBreadCrumb =  split("\/",  $folder);
   $sPath  = $sRootFolderName;

   $iFirstime = true;

   foreach(  $aBreadCrumb as $sDirectory)
   {
      if ($iFirstime === false)
      {
         $sPath .= "/" . $sDirectory;
      }
      else
      {
         $iFirstime = false;
      }
      print("/<a class=\"lfile1\" href=\"index.php?folder=" . $sPath . "\">$sDirectory</a>");
   }
   print("</td>\n</tr>\n");

}

fPrintFormTextLine($owl_lang->email_to, "mailto");
fPrintFormTextLine($owl_lang->email_from , "mailfrom", 30);
fPrintFormTextLine($owl_lang->email_subject, "subject", 80, $default->owl_email_subject);
fPrintFormTextArea($owl_lang->email_body, "mailbody", "",20,80);

print("<tr><td class=\"form1\">&nbsp;</td><td class=\"form1\" style=\"text-align: right\">");
fPrintSubmitButton($owl_lang->btn_reset, $owl_lang->alt_btn_reset, "reset");
print("&nbsp;");
fPrintSubmitButton($owl_lang->btn_email_file, $owl_lang->alt_btn_email_file , "submit", "btn_send_mail");
print("&nbsp;");
fPrintSubmitButton($owl_lang->btn_browse, $owl_lang->alt_btn_browse , "submit", "btn_browse");
print("</td></tr>");



print("</table>");
print("</td></tr></table>\n");
print("<br />\n");
print("</td></tr></table>\n");

include("lib/footer.inc");

?>
