<?php
/**
 * 
 * Author: Steve Bourgeois <owl@bozzit.com>
 * 
 * Owl Ultra Lite Configuration File
 *
 * Copyright (c) 2005-2006 Bozz IT Consulting Inc
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/licenses/licenses.html#TOCGPL
 * 
 */


$default->root_url = "/soubory";
$default->root_fs = dirname(dirname(__FILE__));
$default->root_folder = "../../data";

$sRootFolderName = "soubory";


// **************************************************************
// Mega Upload Progress bar
// 
// copy all the scripts/megaupload/cgi-bin files to your cgi-bin
// directory.
// 
//
$default->use_progress_bar = 0;

// **************************************************************
// Optional columns that you want displayed.
// Values:
//        0 = Hide
//        1 = Display
// **************************************************************

$default->display_permissions   = 1;
$default->display_size          = 1;
$default->display_last_modified = 1;

// **************************************************************
// Default Language Currently available:
// English (en)
// Deutsch (de)
// Spanish (es)
// Russian (ru)
// email translations to: owl@bozzit.com
// **************************************************************
$default->language = "Czech";



// **************************************************************
// The following is to limit the types of files you can upload
// Leave this Variable unset to permit all file types
//
// The following would allow .doc .xls and .zip files
//
// **************************************************************
//$default->upload_permit_ext[] = "doc";
//$default->upload_permit_ext[] = "xls";
//$default->upload_permit_ext[] = "zip";
// **************************************************************


// **************************************************************
// Maximum File Upload Size
// **************************************************************
$default->max_filesize = 1024 * 1024 * 2; // 2 MB

// **************************************************************
// Default file permission set on uploaded files.
// **************************************************************
$default->file_permission = 0755;
$default->directory_mask  = 0777;

// **************************************************************
// makes the tool Read only no file upload or file delete or folder delete
// Values:
//        0 = Read/Write - file upload, file delete and folder delete are allowed
//        1 = READ ONLY - No file upload, file delete or folder delete allowed
// **************************************************************
$default->owl_read_only = 0;

// **************************************************************
// Allow File Deletes and Folder Creation and Deletion
// **************************************************************
// Allow / Disallow File Deletes and Folder Creation
// Values:
//        0 = Disallow
//        1 = Allow
// **************************************************************

$default->permit_file_delete = 1;
$default->permit_file_email = 0;
$default->permit_file_rename = 1;
$default->permit_folder_delete = 1;
$default->permit_folder_creation = 1;
$default->permit_folder_rename = 1;

$default->owl_email_server = "localhost";
$default->owl_email_subject = "Soubor zaslany z uzivatelske sekce";
$default->owl_email_fromname = "Webserver";

// **************************************************************
// Enables Trash Collection
// **************************************************************
$default->collect_trash = 0;
$default->trash_can_location = "../../data/soubory-kos";

$default->version = "0.15";
?>
