<?php
/**
 *
 * Author: Steve Bourgeois <owl@bozzit.com>
 *
 * Owl Ultra Lite
 *
 * Copyright (c) 2005-2006 Bozz IT Consulting Inc
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/licenses/licenses.html#TOCGPL
 *
 */


require_once(dirname(__FILE__) . "/config/owl.php");
require_once($default->root_fs . "/lib/owlulite.lib.php");

#import_request_variables('pgc');
extract($_REQUEST);

global $owl_lang;

if(isset($btn_browse))
{
      header("Location: $default->root_url" . "/index.php");
      exit;
}

if (!isset($folder) || $folder == "" or $folder == "/" or $folder == "." or $folder == "..")
{
   $default->root_folder = $default->root_folder . "/" . $sRootFolderName;
   $sRecyclePath = $sRootFolderName;
   $folder = $sRootFolderName;
}
else
{
   $folder = ereg_replace("\.\.","",$folder);
   $default->root_folder .= "/" . $folder;
   $sRecyclePath = $folder;
}

if ($default->permit_folder_rename == 0 and $default->permit_file_rename == 0)
{
   header("Location: index.php?folder=$folder");
   exit();
}

if (isset($brename) and $old_folder <> $new_folder)
{
   if (!isset($old_folder) || $old_folder == "" or $old_folder == "/" or $old_folder == "." or $old_folder == "..")
   {
      header("Location: index.php?folder=$folder");
      exit();
   }
   if (!isset($new_folder) || $new_folder == "" or $new_folder == "/" or $new_folder == "." or $new_folder == "..")
   {
      header("Location: index.php?folder=$folder");
      exit();
   }

   $old_folder = ereg_replace("\.\.","",$old_folder);
   $new_folder = ereg_replace("\.\.","",$new_folder);
   $sSource = $default->root_folder . "/" . $old_folder;
   $sDest = $default->root_folder . "/" . $new_folder;

   rename ($sSource, $sDest);

   header("Location: index.php?folder=$folder");
   exit();
}


if (isset($brename) and $old_file <> $new_file)
{
   if (!isset($old_file) || $old_file == "" or $old_file == "/" or $old_file == "." or $old_file == "..")
   {
      header("Location: index.php?folder=$folder");
      exit();
   }
   if (!isset($new_file) || $new_file == "" or $new_file == "/" or $new_file == "." or $new_file == "..")
   {
      header("Location: index.php?folder=$folder");
      exit();
   }

   $old_file = ereg_replace("\.\.","",$old_file);
   $new_file = ereg_replace("\.\.","",$new_file);
   $sSource = $default->root_folder . "/" . $old_file;
   $sDest = $default->root_folder . "/" . $new_file;

   rename ($sSource, $sDest);

   header("Location: index.php?folder=$folder");
   exit();
}

include("lib/header.inc");
include("lib/userheader.inc");

print("<form name=\"folder_mod\" enctype=\"multipart/form-data\" action=\"" . $_SERVER["PHP_SELF"] ."\" method=\"post\">\n");
print("<input type=\"hidden\" name=\"folder\" value=\"$folder\"></input>\n");

print("<table class=\"border1\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"90%\"><tr><td align=\"left\" valign=\"top\" width=\"100%\">\n");
print("<br />\n");
print("<table class=\"border2\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"><tr><td align=\"left\" valign=\"top\" width=\"100%\">\n");
                                                                                                                                                                                                 
print("<br />\n");

print("<table class=\"margin2\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"><tr><td align=\"left\" valign=\"top\">\n");
print("<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">");
if(!empty($sMessage))
{
   print("<tr><td class=\"admin3\" width=\"100%\" colspan=\"10\">$sMessage</td></tr>\n");
}
print("<tr><td class=\"admin1\" width=\"100%\" colspan=\"10\"><a href=\"http://owl.sourceforge.net\"><img src=\"$default->root_url/graphics/owl_lite.jpg\" alt=\"Owl Utra-Lite Version 0.13\" title=\"Owl Utra-Lite Version 0.13\" border=\"0\"></img></td></tr>\n");
print("<tr><td width=\"100%\" colspan=\"10\">&nbsp;</td></tr>\n");
print("<tr><td class=\"admin0\" width=\"100%\" colspan=\"10\">$owl_lang->site_title</td></tr>\n");

// 
// Show the Directories in the
// Recycle Bin
// 

$iCountLines = 0;

if ($Dir = opendir($default->root_folder))
{
   print("<tr><td class=\"dir1\" colspan=\"10\" height=\"20\" align=\"left\" wrap=\"nowrap\">$owl_lang->current_folder ");
   $aBreadCrumb = array();
   $aBreadCrumb =  split("\/",  $folder);
   $sPath  = $sRootFolderName;

   $iFirstime = true;

   foreach(  $aBreadCrumb as $sDirectory)
   {
      if ($iFirstime === false)
      {
         $sPath .= "/" . $sDirectory;
      }
      else
      {
         $iFirstime = false;
      }
      print("/<a class=\"lfile1\" href=\"index.php?folder=" . $sPath . "\">$sDirectory</a>");
   }
   print("</td>\n</tr>\n");

}

print("<input type=\"hidden\" name=\"folder\" value=\"$folder\"></input>\n");

if (isset($old_folder))
{
   print("<input type=\"hidden\" name=\"old_folder\" value=\"" . $old_folder. "\"></input>\n");
   fPrintFormTextLine($owl_lang->rename_folder, "new_folder", 60, $old_folder);
}
elseif (isset($old_file))
{
   print("<input type=\"hidden\" name=\"old_file\" value=\"" . $old_file . "\"></input>\n");
   fPrintFormTextLine($owl_lang->rename_file , "new_file", 60, $old_file);
}

print("<tr>\n");
print("<td class=\"form1\">&nbsp;</td>\n");
print("<td class=\"form2\" width=\"100%\">");
fPrintSubmitButton($owl_lang->btn_rename, $owl_lang->alt_btn_rename , "submit", "brename");
fPrintSubmitButton($owl_lang->btn_reset, $owl_lang->alt_btn_reset, "reset");
print("</td>\n");
print("</tr>\n");

print("<tr>\n");
print("<td class=\"form1\">&nbsp;</td>\n");
print("<td class=\"form2\" width=\"100%\" nowrap=\"nowrap\">");
fPrintSubmitButton($owl_lang->btn_browse, $owl_lang->alt_btn_browse , "submit", "btn_browse");
print("</td>");
print("</tr>");



print("</table>");
print("</td></tr>");
print("</table>\n");
print("<br />\n");
print("</td></tr></table>\n");

include("lib/footer.inc");

?>
